<?php
/**
 *
 * @category        modules
 * @package         background slider
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 * @version         0.1
 * @lastmodified    May 23, 2014
 *
 */
 
 
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
require_once ('functions.php');
if(!file_exists(WB_PATH.'/modules/backgroundslider/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/backgroundslider/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/backgroundslider/languages/'.LANGUAGE.'.php');
}

//build images
$imglist = '';
$curdir = $section_id."/";
$images = getImages($basedir,$curdir); 
if($images) {
	foreach($images as $img) { 
		$imglist .= '<img style="margin:3px;width:100px;" src="'.$baseurl.$curdir.''.basename($img['file']).'" alt="'.$baseurl.$curdir.basename($img['file']).'" title="'.$baseurl.$curdir.basename($img['file']).'">'; 
	} 
}
?>
<form action="<?php echo WB_URL ?>/modules/backgroundslider/save.php" method="post" onsubmit="$('#mgupload-<?php echo $section_id ?>,#mgimages-<?php echo $section_id ?>').hide(); $('#mgwait-<?php echo $section_id ?>').show();" enctype="multipart/form-data" >
	<input type="hidden" name="page_id" value="<?php echo $page_id ?>" />
	<input type="hidden" name="section_id" value="<?php echo $section_id ?>" />
	<table cellpadding="3" cellspacing="0" border="0" style="border:1px solid #28609B; width:100%" >
		<tr>
			<td><h2><?php echo $MG['MINISLIDER'] ?></h2></td>
			<td align="right">
				<a href="#" onclick=" $('#mgupload-<?php echo $section_id ?>').toggle()  ;$('#mgsettings-<?php echo $section_id ?>,#mgimages-<?php echo $section_id ?>').hide();return false;"><?php echo $MG['UPLOAD'] ?></a> | 
				<a href="#" onclick=" $('#mgimages-<?php echo $section_id ?>').toggle()  ;$('#mgupload-<?php echo $section_id ?>,#mgsettings-<?php echo $section_id ?>').hide();return false;"><?php echo $MG['CURRENT'] ?></a>
			</td>
		</tr>
	</table>
	<br/>
	<table id="mgupload-<?php echo $section_id ?>" style="display:none;border:3px solid #28609B; width:100%" cellpadding="3" cellspacing="3" border="0" width="100%">
		<tr><td colspan="4"><h2><?php echo $MG['MINISLIDER'] ?> - <?php echo $MG['UPLOAD'] ?></h2></td></tr>
		<tr><td colspan="4"><?php echo $MG['NOTE'] ?></td></tr>
		<tr><td colspan="4"><label><?php echo $MG['REMOVECUR'] ?> <input type="checkbox" name="removecur" /></label></td></tr>
		<tr>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-1" /></td>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-2" /></td>
		</tr>
		<tr>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-3" /></td>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-4" /></td>
		</tr>
		<tr>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-5" /></td>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-6" /></td>
		</tr>
		<tr>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-7" /></td>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-8" /></td>
		</tr>
		<tr>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-9" /></td>
			<td><?php echo $MG['FILE'] ?> </td><td><input size="50" type="file" name="image-10" /></td>
		</tr>
		<tr>
			<td colspan="2"><input type="submit" value="<?php echo $MG['SAVE'] ?>" style="width: 200px; margin-top: 5px;" /></td>
			<td colspan="2" align="right"><input type="button" value="<?php echo $MG['CANCEL'] ?>" onclick="javascript: window.location = 'index.php';" style="width: 200px; margin-top: 5px;" /></td>
		</tr>
	</table>
	<table id="mgimages-<?php echo $section_id ?>" style="display:none;border:3px solid #28609B; width:100%" cellpadding="3" cellspacing="3" border="0" width="100%">
		<tr><td ><h2><h2><?php echo $MG['MINISLIDER'] ?> - <?php echo $MG['CURRENT'] ?></h2></td></tr>
		<tr><td ><?php echo $imglist ?></td></tr>
	</table>
	<table id="mgwait-<?php echo $section_id ?>" style="display:none;border:3px solid #28609B;" cellpadding="3" cellspacing="3" border="0" width="100%">
		<tr><td ><strong><?php echo $MG['UPLOADING'] ?></strong></td></tr>
	</table>
</form>